import foton

ff = foton.FilterFile("test_filter.txt")
#print("keys: ", ff.keys())
fm =  ff['BOUNCE_ALL']
print("Module: ", fm)
print("fm: ", fm.fm)
print("name: ", fm.name)
print("rate: ", fm.rate)
print("length: ", len(fm))
for v in fm:
    print(v)

fs = fm[0]
print()
print("Section: ", fs)
print("sec: ", fs.sec)
print("index: ", fs.index)
print("name: ", fs.name)
print("design: ", fs.design)
print("filt: ", fs.filt)
print("order: ", fs.order)
print("input switch: ", fs.input_switch)
print("output swtich: ", fs.output_switch)
print("ramp: ", fs.ramp)
print("tolerance: ", fs.tolerance)
print("timeout: ", fs.timeout)
print("header: ", fs.header)
print("empty: ", fs.empty())
print("check: ", fs.check())
print("valid: ", fs.valid())
print("refresh: ", fs.refresh())

print()
fd = foton.FilterDesign(fs.filt)
print("FilterDesign: ", fd)
print("string: ", fd.string)
print("design: ", fd.design)
print("rate: ", fd.rate)
print()
print("**** formats ****")
print("iir2zpk: ", foton.iir2zpk(fd))
print("iir2z: ", foton.iir2z(fd))
print("iir2poly: ", foton.iir2poly(fd))
print("iir2direct: ", foton.iir2direct(fd))
print()
f = foton.Filter(fd)
print("Filter: ",f)
print("apply: ", f.apply([1,2,3,4,5,6,7,8,9,8,7,6,5,4,3,2,1]))

ff.filename = "test_out.txt"
ff.write()
